Core - Feature # 67302

Status: Resolved Priority: Should have
Author: Morton Jonuschat Category: Install Tool
Created: 2015-06-05 Assigned To: Morton Jonuschat
Updated: 2015-06-18 Due date:

PHP Version: 5.6

Complexity:

Sprint Focus:

Subiject: Ignore MySQL Engine in database compare with DBAL

Description

When the DBAL is active it makes no sense to suggest database alterations for the MySQL specific engine types as these will never

be the same across DBMS.

Related issues:
related to Core - Epic # 64459: Make TYPOS run on PostgreSQL New
related to Core - Bug # 66670: ENGINE in ext_tables.sql is not dropped for MSSQL New

2015-01-23
2015-04-30

Associated revisions

Revision 868860d4 - 2015-06-18 09:29 - Morton Jonuschat

[FEATURE] dbal: Ignore MySQL ENGINE in database schema compare

Ignore the database engine when comparing the expected and the
current schema information if DBAL is enabled. The MySQL specific
storage engines are not available on other DBMS.

Resolves: #67302

Releases: master

Change-Id: 1c57233de7c4294454609955e802498053f186326
Reviewed-on: http://review.typo3.org/40055

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Tested-by: Andreas Fernandez <typo3@scripting-base.de>

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Tested-by: Markus Klein <markus.klein@typo3.org>

History

#1 - 2015-06-05 12:42 - Morton Jonuschat
- Assigned To set to Morton Jonuschat

#2 - 2015-06-06 20:12 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40055

#3 - 2015-06-08 11:09 - Gerrit Code Review

2015-08-04
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/40055

#4 - 2015-06-18 09:30 - Morton Jonuschat
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:868860d488cf1a8ee953aaed4d04ced15fc11769.
